Reset the project credentials

Base URL
https://api.elastic-cloud.com
  • POST /api/v1/serverless/projects/elasticsearch/{id}/_reset-credentials
Auth

Retrieve new project credentials, invalidating the previous ones.

Path parameters

id string · pattern: ^[a-z0-9]{32}$ required

The ID of the project

Header parameters

If-Match string

ETag value fetched in a previous GET project request. Used to prevent simultaneous updates

Responses

The new project credentials.

application/json
username string required

Basic auth username that can be used to access the Elasticsearch API.

password string · format: password required

Basic auth password that can be used to access the Elasticsearch API.

Response headers

ETag string
Base URL
https://api.elastic-cloud.com